Try Agent
curl --request POST \
--url https://api.eqho.ai/v1/agents/{agent_id}/try \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--header 'x-org-id: <api-key>' \
--data '
{
"phone_number": "<string>",
"from_number": "<string>",
"campaign_id": "<string>",
"snapshot_id": "<string>"
}
'import requests
url = "https://api.eqho.ai/v1/agents/{agent_id}/try"
payload = {
"phone_number": "<string>",
"from_number": "<string>",
"campaign_id": "<string>",
"snapshot_id": "<string>"
}
headers = {
"X-API-KEY": "<api-key>",
"x-org-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-API-KEY': '<api-key>',
'x-org-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
phone_number: '<string>',
from_number: '<string>',
campaign_id: '<string>',
snapshot_id: '<string>'
})
};
fetch('https://api.eqho.ai/v1/agents/{agent_id}/try', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.eqho.ai/v1/agents/{agent_id}/try"
payload := strings.NewReader("{\n \"phone_number\": \"<string>\",\n \"from_number\": \"<string>\",\n \"campaign_id\": \"<string>\",\n \"snapshot_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("x-org-id", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Agents
Try Agent
POST
/
v1
/
agents
/
{agent_id}
/
try
Try Agent
curl --request POST \
--url https://api.eqho.ai/v1/agents/{agent_id}/try \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--header 'x-org-id: <api-key>' \
--data '
{
"phone_number": "<string>",
"from_number": "<string>",
"campaign_id": "<string>",
"snapshot_id": "<string>"
}
'import requests
url = "https://api.eqho.ai/v1/agents/{agent_id}/try"
payload = {
"phone_number": "<string>",
"from_number": "<string>",
"campaign_id": "<string>",
"snapshot_id": "<string>"
}
headers = {
"X-API-KEY": "<api-key>",
"x-org-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-API-KEY': '<api-key>',
'x-org-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
phone_number: '<string>',
from_number: '<string>',
campaign_id: '<string>',
snapshot_id: '<string>'
})
};
fetch('https://api.eqho.ai/v1/agents/{agent_id}/try', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.eqho.ai/v1/agents/{agent_id}/try"
payload := strings.NewReader("{\n \"phone_number\": \"<string>\",\n \"from_number\": \"<string>\",\n \"campaign_id\": \"<string>\",\n \"snapshot_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("x-org-id", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
APIKeyHeader & OrgImpersonationOAuth2PasswordBearer & OrgImpersonation
Your API key for authentication.
Org impersonation via x-org-id. Superadmins may impersonate any org; admins may impersonate their direct sub-organizations. Enter the target organization ID to act as that org.
Path Parameters
Required string length:
24Body
application/json
Optional account-owned phone number to use as the caller ID for the test call.
If provided, test call will include campaign settings. Agent will process pre-call and post-call tasks, AMD detection, and dispositioning.
If provided, test call will use this specific agent snapshot instead of the current agent configuration.
Response
Successful Response
Was this page helpful?